Subject: Legacy ISA registers/interrupts in PCI device tree node

From: "Gerhard Pircher" <[email-masked]>
Date: Mon, 16 Jul 2007 09:53:17 +0200

Hi,

I wonder, if there is a recommended way to specify ISA register addresses
and interrupts for a PCI device (unlike for a PCI2ISA bridge)?
The device in question is the integrated IDE controller of the VIA686B
southbridge, which works in compatible/legacy mode and thus uses interrupts
14 and 15 of the i8259 PIC. Should the fdt contain this information or
should I hardcode the values in the platform setup code?

Thanks!

Regards,

Gerhard
-- 
GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail